Skip to navigation

Get Quote Details

Retrieves the full details of a specific quote based on the provided quote_id.

This endpoint provides more detailed information about a specific quote than Get All Quotes. This includes line items, shipping address fields, and even a history of messages sent by the buyer and their sales representative.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

quote_idintegerRequired
The internal numeric ID of the sales quote.

Query parameters

datestringRequired

The date that the quote was created. Use %m/%d/%Y format.

Response

OK
codeintegerOptionalDefaults to 200
HTTP Response Code
dataobjectOptional
metaobjectOptional